export  function getParameters(): { [key: string]: string } {
    // Get the parameters from the URL
    let allParams = new URLSearchParams(window.location.search);

    // Initialize an empty object to store the parameters
    let params: { [key: string]: string } = {};

    // Iterate over each parameter using the forEach method
    allParams.forEach((value, key) => {
        params[key] = value;
    });

    // Now 'params' contains all the parameters from the URL
    return params;
}

export  function getParameter(name: string): string | null {
    // Get the parameters from the URL
    let allParams = new URLSearchParams(window.location.search);

    // Return the value of the specified parameter
    return allParams.get(name);
}
